### Virtual Method

# GtkSource GutterRenderer query_activatable

#### Declaration [src]

    gboolean
    query_activatable (
      GtkSourceGutterRenderer* renderer,
      GtkTextIter* iter,
      GdkRectangle* area
    )

#### Description [src]

Get whether the renderer is activatable at the location provided. This is called from `GtkSourceGutter` to determine whether a renderer is activatable using the mouse pointer.

#### Parameters

`iter`

  Type: `GtkTextIter`

  A `GtkTextIter` at the start of the line to be activated.

  The data is owned by the caller of the method.

`area`

  Type: `GdkRectangle`

  A `GdkRectangle` of the cell area to be activated.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if the renderer can be activated, `FALSE` otherwise.